<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<script>
    for ( var i = 1; i<=1000; i<<=2 )
     document.write("The value of i : " + i + "<br>" );

    mark= parseFloat(prompt("Enter mark"));
    NOC = prompt("Enter The NOC (Y/N)");

    if(mark>=80 && NOC =="Y"){
        grade="A";
    }

    else if(mark>=70 && NOC =="Y"){
        grade="B";
    }

    else if(mark>=60 && NOC =="Y"){
        grade="C";
    }

    else if(mark>=50 && NOC =="Y"){
        grade="D";
    }
    else {
    grade = "F"
    }
    document.write("mark: "+ mark + " is grade: "+ grade);

    switch (true) {
        case (mark >= 80 && NOC == "Y")
            ;
            grade = "A";
            break;
        case (mark >= 80 && NOC == "Y")
            ;
            grade = "B";
            break;
        case (mark >= 80 && NOC == "Y")
            ;
            grade = "C";
            break;
        case (mark >= 80 && NOC == "Y")
            ;
            grade = "D";
            break;
    }
</script>
</body>
</html>